Bug 496152 - MALLOC_CHECK_=3 breaks multiple workspaces
MALLOC_CHECK_=3 breaks multiple workspaces
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 16:48 EDT by Jan Kratochvil
Modified: 2009-11-18 02:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 02:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-04-16 16:48:01 EDT
Description of problem:
Wanted to get better problems reproducibility for metacity but found out the memory mangling glibc option MALLOC_CHECK_=3 reproducively disables the option to have multiple workspaces.

Version-Release number of selected component (if applicable):
metacity-2.24.0-4.fc10.x86_64
(updated F10)

How reproducible:
Always (tried two boots).

Steps to Reproduce:
cat >/usr/local/bin/metacity <<EOH
#! /bin/sh
cd /tmp/metacity.d
ulimit -c unlimited
export MALLOC_CHECK_=3
exec /usr/bin/metacity "$@"
EOH
mkdir /tmp/metacity.d
reboot
Try to set multiple workspaces by wnck-applet.

Actual results:
wnck-applet applet still shows a single (or single column) workspace no matter how many `Number of Workspaces' you set.

Expected results:
Normal functionality as without MALLOC_CHECK_=3.

Additional info:
There will be some uninitialized memory assmed to be zero or so.
Comment 1 Owen Taylor 2009-11-17 19:53:02 EST
Can't reproduce on i386, might be x86_64 specific
Comment 2 Jan Kratochvil 2009-11-18 02:04:53 EST
Not reproducible with metacity-2.24.0-2.fc10.x86_64.

Note You need to log in before you can comment on or make changes to this bug.